using System.Runtime;
using System.Runtime.Serialization;

namespace fbblEntiPubblici
{
    abstract public class Funzione : Ente,IPresidiato
    {
        protected string _TipoEnte;

        public Funzione(string _NomeEnte,string _TipoEnte) : base(_NomeEnte)
        {
            this._TipoEnte = _TipoEnte;
        }

        public Funzione(SerializationInfo info,StreamingContext context)
                : base(info,context)
        {
            this._TipoEnte=info.GetString("TipoEnte");
        }

        public string TipoEnte
        {
            set
            {
                this._TipoEnte = value;
            }

            get
            {
                return this._TipoEnte;
            }
        }

        abstract public bool Presidiato { get; set; } // lo marco come astratto ma non lo implemento!

    }
}
